> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitgpt.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a product

> Get a specific product by ID



## OpenAPI

````yaml get /products/{id}
openapi: 3.1.0
info:
  title: BitGPT 402pay API
  description: Full description of private and dev-availble API endpoints
  version: 1.0.0
  termsOfService: https://bitgpt.xyz/terms
  contact:
    name: API Support
    url: https://help.bitgpt.xyz
    email: support@bitgpt.xyz
servers:
  - url: https://api.bitgpt.xyz
    description: Production API server
security: []
tags:
  - name: Payments
    description: Invoice and payment management endpoints
  - name: Products
    description: Product management endpoints
  - name: dev-api
    description: Developer API endpoints
externalDocs:
  description: Full BitGPT 402pay API documentation
  url: https://docs.bitgpt.xyz
paths:
  /products/{id}:
    get:
      tags:
        - Products
        - dev-api
      summary: Get a product
      description: Get a specific product by ID
      operationId: getProduct
      parameters:
        - name: id
          in: path
          required: true
          description: Product ID
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/productViewResponse'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
      security:
        - BearerAuth: []
          ApiKeyAuth: []
components:
  responses:
    '400':
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: integer
                enum:
                  - 400
                  - 401
                  - 403
                  - 404
                description: Status code of the response
              data:
                type:
                  - object
                  - 'null'
                description: Response data containing the requested object
              error:
                type:
                  - string
                  - 'null'
                examples:
                  - Invalid email address
                description: Error message of the response, human readable
              message:
                type: 'null'
              env:
                type: string
                enum:
                  - development
                  - production
                description: API environment
              log:
                type:
                  - string
                  - object
                  - 'null'
                examples:
                  - request_id: req_1234567890
                  - Some pertinent log message
                description: Useful informaiton, not always present, to debug the response
              validator:
                type:
                  - object
                  - 'null'
                examples:
                  - email: Invalid email address
                    password: Password is required
                description: >-
                  Validator response object, each key is the field name and
                  value is the error message
              support_id:
                type:
                  - string
                  - 'null'
                format: uuid
                examples:
                  - support_uuidv7-something-else
                description: >-
                  Support ID linked to the response, used to identify it when
                  talking with our team
            required:
              - status
              - error
              - message
              - env
              - log
              - validator
              - support_id
    '401':
      description: Access token is missing or invalid
      content:
        application/json:
          schema:
            allOf:
              - type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 400
                      - 401
                      - 403
                      - 404
                    description: Status code of the response
                  data:
                    type:
                      - object
                      - 'null'
                    description: Response data containing the requested object
                  error:
                    type:
                      - string
                      - 'null'
                    examples:
                      - Invalid email address
                    description: Error message of the response, human readable
                  message:
                    type: 'null'
                  env:
                    type: string
                    enum:
                      - development
                      - production
                    description: API environment
                  log:
                    type:
                      - string
                      - object
                      - 'null'
                    examples:
                      - request_id: req_1234567890
                      - Some pertinent log message
                    description: >-
                      Useful informaiton, not always present, to debug the
                      response
                  validator:
                    type:
                      - object
                      - 'null'
                    examples:
                      - email: Invalid email address
                        password: Password is required
                    description: >-
                      Validator response object, each key is the field name and
                      value is the error message
                  support_id:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    examples:
                      - support_uuidv7-something-else
                    description: >-
                      Support ID linked to the response, used to identify it
                      when talking with our team
                required:
                  - status
                  - error
                  - message
                  - env
                  - log
                  - validator
                  - support_id
              - properties:
                  status:
                    type: integer
                    enum:
                      - 401
    '403':
      description: You do not have the required permissions to access this resource
      content:
        application/json:
          schema:
            allOf:
              - type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 400
                      - 401
                      - 403
                      - 404
                    description: Status code of the response
                  data:
                    type:
                      - object
                      - 'null'
                    description: Response data containing the requested object
                  error:
                    type:
                      - string
                      - 'null'
                    examples:
                      - Invalid email address
                    description: Error message of the response, human readable
                  message:
                    type: 'null'
                  env:
                    type: string
                    enum:
                      - development
                      - production
                    description: API environment
                  log:
                    type:
                      - string
                      - object
                      - 'null'
                    examples:
                      - request_id: req_1234567890
                      - Some pertinent log message
                    description: >-
                      Useful informaiton, not always present, to debug the
                      response
                  validator:
                    type:
                      - object
                      - 'null'
                    examples:
                      - email: Invalid email address
                        password: Password is required
                    description: >-
                      Validator response object, each key is the field name and
                      value is the error message
                  support_id:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    examples:
                      - support_uuidv7-something-else
                    description: >-
                      Support ID linked to the response, used to identify it
                      when talking with our team
                required:
                  - status
                  - error
                  - message
                  - env
                  - log
                  - validator
                  - support_id
              - properties:
                  status:
                    type: integer
                    enum:
                      - 403
    '404':
      description: Resource not found
      content:
        application/json:
          schema:
            allOf:
              - type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 400
                      - 401
                      - 403
                      - 404
                    description: Status code of the response
                  data:
                    type:
                      - object
                      - 'null'
                    description: Response data containing the requested object
                  error:
                    type:
                      - string
                      - 'null'
                    examples:
                      - Invalid email address
                    description: Error message of the response, human readable
                  message:
                    type: 'null'
                  env:
                    type: string
                    enum:
                      - development
                      - production
                    description: API environment
                  log:
                    type:
                      - string
                      - object
                      - 'null'
                    examples:
                      - request_id: req_1234567890
                      - Some pertinent log message
                    description: >-
                      Useful informaiton, not always present, to debug the
                      response
                  validator:
                    type:
                      - object
                      - 'null'
                    examples:
                      - email: Invalid email address
                        password: Password is required
                    description: >-
                      Validator response object, each key is the field name and
                      value is the error message
                  support_id:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    examples:
                      - support_uuidv7-something-else
                    description: >-
                      Support ID linked to the response, used to identify it
                      when talking with our team
                required:
                  - status
                  - error
                  - message
                  - env
                  - log
                  - validator
                  - support_id
              - properties:
                  status:
                    type: integer
                    enum:
                      - 404
    productViewResponse:
      description: Product retrieved successfully
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Response200'
              - $ref: '#/components/schemas/viewProductResponse'
  schemas:
    Response200:
      type: object
      properties:
        status:
          type: integer
          enum:
            - 200
            - 201
            - 202
          description: Status code of the response
        data:
          type:
            - object
            - array
            - 'null'
          description: Response data containing the requested object
        error:
          type:
            - string
            - 'null'
          examples:
            - Invalid email address
          description: Error message of the response, human readable
        message:
          type:
            - string
            - 'null'
          examples:
            - Resource created successfully
          description: Message of the response, human readable
        env:
          type: string
          enum:
            - development
            - production
          description: API environment
        log:
          type:
            - string
            - object
            - 'null'
          examples:
            - request_id: req_1234567890
            - Some pertinent log message
          description: Useful informaiton, not always present, to debug the response
        validator:
          type:
            - object
            - 'null'
          examples:
            - email: Invalid email address
              password: Password is required
          description: >-
            Validator response object, each key is the field name and value is
            the error message
        support_id:
          type:
            - string
            - 'null'
          format: uuid
          examples:
            - support_uuidv7-something-else
          description: >-
            Support ID linked to the response, used to identify it when talking
            with our team
      required:
        - status
        - data
        - message
        - env
      examples:
        - status: 200
          data:
            id: '123'
          error: null
          log: null
          validator: null
          support_id: null
          message: Resource created successfully
          env: development
    viewProductResponse:
      type: object
      description: Response for successful product retrieval
      properties:
        data:
          $ref: '#/components/schemas/product'
      required:
        - data
      examples:
        - data:
            id: product_0197a8d9-8426-7e71-9edf-26301686ed26
            version_group_id: vg_0197a8d9-8426-7e71-9edf-26301686ed26
            is_active: 1
            name: Premium API Access
            organization_id: org_0197a8d9-8426-7e71-9edf-26301686ed26
            description: Premium API access with advanced features
            image_id: img_0197a8d9-8426-7e71-9edf-26301686ed26
            metadata:
              category: api
              tier: premium
            schemas:
              - id: schema_0197a8d9-8426-7e71-9edf-26301686ed26
                version_group_id: schema_0197a8d9-8426-7e71-9edf-26301686ed26
                is_active: 1
                name: Basic Product
                description: Basic Product Schema
                organization_id: org_0197a8d9-8426-7e71-9edf-26301686ed26
                product_id: product_0197a8d9-8426-7e71-9edf-26301686ed26
                type: RECURRING
                currency: USD
                base_price: '10.030000000000000000000000000000'
                interval_type: MONTH
                interval_count: 1
                payment_type: ARREARS
                renew_type: CALENDAR
                billing_type: FULL
                created_at: '2024-01-15 10:30:00'
                updated_at: '2024-01-15 10:30:00'
                configurations:
                  - id: config_0197a8d9-8426-7e71-9edf-26301686ed26
                    version_group_id: config_0197a8d9-8426-7e71-9edf-26301686ed26
                    is_active: 1
                    schema_id: schema_0197a8d9-8426-7e71-9edf-26301686ed26
                    starts_at: '1.000000000000'
                    ends_at: '2.000000000000'
                    price_per_unit: '5.000000000000000000000000000000'
                    metric_id: metric_0197a8d9-8426-7e71-9edf-26301686ed26
                    created_at: '2024-01-15 10:30:00'
                    updated_at: '2024-01-15 10:30:00'
            created_at: '2024-01-15 10:30:00'
            updated_at: '2024-01-15 10:30:00'
    product:
      type: object
      description: Product entity
      required:
        - id
        - name
        - organization_id
      properties:
        id:
          type: string
          description: Unique product identifier
          examples:
            - product_0197a8d9-8426-7e71-9edf-26301686ed26
        version_group_id:
          type: string
          description: Version group identifier
          examples:
            - vg_0197a8d9-8426-7e71-9edf-26301686ed26
        is_active:
          type:
            - integer
            - 'null'
          description: Whether the product is active
        name:
          type: string
          description: Product name
          examples:
            - Premium API Access
        organization_id:
          type: string
          description: Organization identifier
          examples:
            - org_0197a8d9-8426-7e71-9edf-26301686ed26
        description:
          type:
            - string
            - 'null'
          description: Product description
          examples:
            - Premium API access with advanced features
        image_id:
          type:
            - string
            - 'null'
          description: Product image identifier
          examples:
            - img_0197a8d9-8426-7e71-9edf-26301686ed26
        metadata:
          type:
            - object
            - 'null'
          description: Additional product metadata
        schemas:
          type: array
          description: Product billing schemas
          items:
            $ref: '#/components/schemas/billingSchema'
        created_at:
          type: string
          format: mysql-date-time
          description: Timestamp when the product was created
          examples:
            - '2024-01-15 10:30:00'
        updated_at:
          type:
            - string
            - 'null'
          format: mysql-date-time
          description: Timestamp when the product was last updated
          examples:
            - '2024-01-15 10:30:00'
        image:
          $ref: '#/components/schemas/file'
          type:
            - object
            - 'null'
          description: Associated product's image
      examples:
        - id: product_01971675-8d84-79cb-8daa-304ca034b067
          version_group_id: product_01971675-8d84-79cb-8daa-304ca034b067
          is_active: 1
          name: 'First Subscription #1'
          organization_id: org_0196b0e9-11d8-7f26-b1d2-bd47054e4827
          description: Third Subscriptio is coming
          image_id: null
          metadata:
            one: '1'
            two: '2'
            three: '3'
            four: '4'
          created_at: '2025-05-28 12:34:52'
          updated_at: '2025-06-22 19:12:41'
          schemas:
            - id: schema_01971675-8d85-7007-bc44-dc2a77e1038d
              version_group_id: schema_01971675-8d85-7007-bc44-dc2a77e1038d
              is_active: 1
              name: Basic Product
              description: Basic Product Schema
              organization_id: org_0196b0e9-11d8-7f26-b1d2-bd47054e4827
              product_id: product_01971675-8d84-79cb-8daa-304ca034b067
              type: RECURRING
              currency: USD
              base_price: '10.030000000000000000000000000000'
              interval_type: MONTH
              interval_count: 1
              payment_type: ARREARS
              renew_type: CALENDAR
              billing_type: FULL
              created_at: '2025-05-28 12:34:52'
              updated_at: '2025-06-22 19:12:41'
              configurations:
                - id: config_01971675-8d86-72bb-9f08-82e2456c6e26
                  version_group_id: config_01971675-8d86-72bb-9f08-82e2456c6e26
                  is_active: 1
                  schema_id: schema_01971675-8d85-7007-bc44-dc2a77e1038d
                  starts_at: '1.000000000000'
                  ends_at: '2.000000000000'
                  price_per_unit: '5.000000000000000000000000000000'
                  metric_id: metric_01971675-8d86-797c-8621-b918d4c83fc1
                  created_at: '2025-05-28 12:34:52'
                  updated_at: '2025-06-22 19:12:41'
                - id: config_01971675-8d86-72bb-9f08-82e2456c6e27
                  version_group_id: config_01971675-8d86-72bb-9f08-82e2456c6e27
                  is_active: 1
                  schema_id: schema_01971675-8d85-7007-bc44-dc2a77e1038d
                  starts_at: '2.000000000000'
                  ends_at: '3.000000000000'
                  price_per_unit: '6.000000000000000000000000000000'
                  metric_id: metric_01971675-8d86-797c-8621-b918d4c83fc1
                  created_at: '2025-06-12 23:57:41'
                  updated_at: '2025-06-22 19:12:41'
            - id: schema_01971675-8d85-7007-bc44-dc2a77e1038e
              version_group_id: schema_01971675-8d85-7007-bc44-dc2a77e1038e
              is_active: 1
              name: Middle Products
              description: Middle Product Schema
              organization_id: org_0196b0e9-11d8-7f26-b1d2-bd47054e4827
              product_id: product_01971675-8d84-79cb-8daa-304ca034b067
              type: RECURRING
              currency: USD
              base_price: '15.000000000000000000000000000000'
              interval_type: MONTH
              interval_count: 1
              payment_type: ARREARS
              renew_type: CALENDAR
              billing_type: FULL
              created_at: '2025-06-12 23:47:20'
              updated_at: '2025-06-22 19:12:41'
              configurations: []
    billingSchema:
      type: object
      description: Billing schema
      properties:
        id:
          type: string
          description: Unique schema identifier
          examples:
            - schema_01971675-8d85-7007-bc44-dc2a77e1038d
        version_group_id:
          type: string
          description: Version group identifier
          examples:
            - schema_01971675-8d85-7007-bc44-dc2a77e1038d
        is_active:
          type:
            - integer
            - 'null'
          description: Whether the schema is active
        name:
          type: string
          description: Schema name
          examples:
            - Basic Product
        description:
          type:
            - string
            - 'null'
          description: Schema description
          examples:
            - Basic Product Schema
        organization_id:
          type: string
          description: Organization identifier
          examples:
            - org_0196b0e9-11d8-7f26-b1d2-bd47054e4827
        product_id:
          type:
            - string
            - 'null'
          description: Product identifier
        type:
          type: string
          enum:
            - ONE_TIME
            - RECURRING
            - USAGE_BASED
            - TIERED_USAGE
          description: Billing schema type
        currency:
          $ref: '#/components/schemas/currency'
          description: Currency code
        base_price:
          type:
            - string
            - number
          format: decimal
          description: Price
        interval_type:
          type:
            - string
            - 'null'
          enum:
            - DAY
            - WEEK
            - MONTH
            - YEAR
            - null
          description: Billing interval type
        interval_count:
          type:
            - number
            - 'null'
          description: Billing interval count
        payment_type:
          type:
            - string
            - 'null'
          enum:
            - ADVANCE
            - ARREARS
            - null
          description: Payment type
        renew_type:
          type:
            - string
            - 'null'
          enum:
            - CALENDAR
            - ANNIVERSARY
            - null
          description: Renewal type
        billing_type:
          type:
            - string
            - 'null'
          enum:
            - PRORATED
            - FULL
            - null
          description: Billing type
        created_at:
          type: string
          format: mysql-date-time
          description: Timestamp when the product was created
          examples:
            - '2024-01-15 10:30:00'
        updated_at:
          type:
            - string
            - 'null'
          format: mysql-date-time
          description: Timestamp when the product was last updated
          examples:
            - '2024-01-15 10:30:00'
        configurations:
          type: array
          description: Array of billing configurations for the schema
          items:
            $ref: '#/components/schemas/billingConfiguration'
      examples:
        - id: schema_01971675-8d85-7007-bc44-dc2a77e1038d
          version_group_id: schema_01971675-8d85-7007-bc44-dc2a77e1038d
          is_active: 1
          name: Basic Product
          description: Basic Product Schema
          organization_id: org_0196b0e9-11d8-7f26-b1d2-bd47054e4827
          product_id: product_01971675-8d84-79cb-8daa-304ca034b067
          type: RECURRING
          currency: USD
          base_price: '10.030000000000000000000000000000'
          interval_type: MONTH
          interval_count: 1
          payment_type: ARREARS
          renew_type: CALENDAR
          billing_type: FULL
          created_at: '2025-05-28 12:34:52'
          updated_at: '2025-06-22 19:12:41'
          configurations:
            - id: config_01971675-8d86-72bb-9f08-82e2456c6e26
              version_group_id: config_01971675-8d86-72bb-9f08-82e2456c6e26
              is_active: 1
              schema_id: schema_01971675-8d85-7007-bc44-dc2a77e1038d
              starts_at: '1.000000000000'
              ends_at: '2.000000000000'
              price_per_unit: '5.000000000000000000000000000000'
              metric_id: metric_01971675-8d86-797c-8621-b918d4c83fc1
              created_at: '2025-05-28 12:34:52'
              updated_at: '2025-06-22 19:12:41'
            - id: config_01971675-8d86-72bb-9f08-82e2456c6e27
              version_group_id: config_01971675-8d86-72bb-9f08-82e2456c6e27
              is_active: 1
              schema_id: schema_01971675-8d85-7007-bc44-dc2a77e1038d
              starts_at: '2.000000000000'
              ends_at: '3.000000000000'
              price_per_unit: '6.000000000000000000000000000000'
              metric_id: metric_01971675-8d86-797c-8621-b918d4c83fc1
              created_at: '2025-06-12 23:57:41'
              updated_at: '2025-06-22 19:12:41'
    file:
      type: object
      description: >-
        File object containing file identifier and URL for accessing the file
        resource
      properties:
        id:
          type: string
          description: Unique identifier for the file
          examples:
            - file_0196b6e6-54e3-796d-9c6a-2862a5fef597
        name:
          type: string
          description: Original filename
          examples:
            - 4.jpg
        url:
          type:
            - string
            - 'null'
          format: uri
          description: URL for accessing the file resource
          examples:
            - >-
              https://assets.bitgpt.xyz//app/public/src/storage/uploads/image/2025/05/09/0196b6e6-54e3-7290-9d73-0074c623e368.jpg
        mime_type:
          type: string
          description: MIME type of the file
          examples:
            - image/jpeg
        type:
          type: string
          description: >-
            Type of the file (e.g., image, document, video, audio, archive,
            general)
          enum:
            - image
            - document
            - video
            - audio
            - archive
            - general
          examples:
            - image
        is_duplicate:
          type: boolean
          description: Indicates if the file is a duplicate
          examples:
            - true
        hash:
          type: string
          description: File hash for duplicate detection
          examples:
            - 04b9e2ec43133ae7287f97764c0beda19f304374e1d6bfe4fcc36ad54502e5dc
        organization_id:
          type: string
          description: Organization identifier that owns the file
          examples:
            - org_0196b0e9-11d8-7f26-b1d2-bd47054e4827
        original_name:
          type: string
          description: Original filename as uploaded
          examples:
            - 4.jpg
        filename:
          type: string
          description: Generated filename for storage
          examples:
            - 0198042e-6dde-76e0-b817-3afb324e29ac.jpg
        filepath:
          type: string
          description: Full path to the file in storage
          examples:
            - >-
              org_uploads/org_0196b0e9-11d8-7f26-b1d2-bd47054e4827/image/0198042e-6dde-76e0-b817-3afb324e29ac.jpg
        file_size:
          type: integer
          description: File size in bytes (alternative to size field)
          examples:
            - 1060793
        created_at:
          type: string
          format: mysql-date-time
          description: Timestamp when the file was created
          examples:
            - '2025-07-13 16:26:48.415'
        updated_at:
          type:
            - string
            - 'null'
          format: mysql-date-time
          description: Timestamp when the file was last updated
          examples:
            - null
      examples:
        - id: file_0196b6e6-54e3-796d-9c6a-2862a5fef597
          url: >-
            https://assets.bitgpt.xyz//app/public/src/storage/uploads/image/2025/05/09/0196b6e6-54e3-7290-9d73-0074c623e368.jpg
        - id: file_0198042e-6dde-7b9c-bc91-452a7e0c833b
          name: 4.jpg
          url: >-
            https://assets.bitgpt.xyz/org_uploads/org_0196b0e9-11d8-7f26-b1d2-bd47054e4827/image/0198042e-6dde-76e0-b817-3afb324e29ac.jpg
          file_size: 1060793
          mime_type: image/jpeg
          is_duplicate: true
        - id: file_0198042e-6dde-7b9c-bc91-452a7e0c833b
          hash: 04b9e2ec43133ae7287f97764c0beda19f304374e1d6bfe4fcc36ad54502e5dc
          organization_id: org_0196b0e9-11d8-7f26-b1d2-bd47054e4827
          original_name: 4.jpg
          filename: 0198042e-6dde-76e0-b817-3afb324e29ac.jpg
          filepath: >-
            org_uploads/org_0196b0e9-11d8-7f26-b1d2-bd47054e4827/image/0198042e-6dde-76e0-b817-3afb324e29ac.jpg
          mime_type: image/jpeg
          file_size: 1060793
          type: image
          created_at: '2025-07-13 16:26:48.415'
          updated_at: null
          url: >-
            https://assets.bitgpt.xyz/org_uploads/org_0196b0e9-11d8-7f26-b1d2-bd47054e4827/image/0198042e-6dde-76e0-b817-3afb324e29ac.jpg
    currency:
      type: string
      enum:
        - BITCOIN
        - ETHEREUM
        - USDT
        - USDC
        - USDC_NATIVE
        - SOLANA
        - BINANCE_COIN
        - RIPPLE
        - POLYGON
        - TRON
        - LITECOIN
        - BITCOIN_CASH
        - DOGECOIN
        - USD
        - EUR
        - CHF
        - GBP
        - AUD
        - JPY
        - CNY
        - CAD
        - HKD
        - SGD
        - SEK
        - KRW
        - NOK
        - NZD
        - INR
        - MXN
        - TWD
        - ZAR
        - BRL
        - DKK
        - PLN
        - THB
        - ILS
        - IDR
        - CZK
        - AED
        - TRY
        - HUF
        - CLP
        - SAR
        - PHP
        - MYR
        - COP
        - RUB
        - RON
        - PEN
      examples:
        - GBP
        - BITCOIN
    billingConfiguration:
      type: object
      description: Schema configuration
      properties:
        id:
          type: string
          description: Configuration identifier
        version_group_id:
          type: string
          description: Version group identifier
        is_active:
          type:
            - integer
            - 'null'
          description: Whether the configuration is active
        schema_id:
          type: string
          description: Schema identifier
        starts_at:
          type:
            - string
            - 'null'
          format: decimal
          description: Start time in decimal format
        ends_at:
          type:
            - string
            - 'null'
          format: decimal
          description: End time in decimal format
        price_per_unit:
          type:
            - string
            - 'null'
          format: decimal
          description: Price per unit in decimal format
        metric_id:
          type:
            - string
            - 'null'
          description: Metric identifier for the configuration
        created_at:
          type: string
          format: mysql-date-time
          description: Timestamp when the product was created
          examples:
            - '2024-01-15 10:30:00'
        updated_at:
          type:
            - string
            - 'null'
          format: mysql-date-time
          description: Timestamp when the product was last updated
          examples:
            - '2024-01-15 10:30:00'
      examples:
        - id: config_01971675-8d86-72bb-9f08-82e2456c6e26
          version_group_id: config_01971675-8d86-72bb-9f08-82e2456c6e26
          is_active: 1
          schema_id: schema_01971675-8d85-7007-bc44-dc2a77e1038d
          starts_at: '1.000000000000'
          ends_at: '2.000000000000'
          price_per_unit: '5.000000000000000000000000000000'
          metric_id: metric_01971675-8d86-797c-8621-b918d4c83fc1
          created_at: '2025-05-28 12:34:52'
          updated_at: '2025-06-22 19:12:41'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Send your access token as header Authorization: Bearer {accessToken}'
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your API key that starts with sk_live or sk_test. You can create yours
        at go.bitgpt.xyz/api-keys.

````